ig.module('game.movement-style')
.defines(function () {
    "use strict";
    //defines a set of functions that
    //take the normalized animation time(time between 0 and 1)
    //and output a normalized position between 0 and 1

    ig.global.MovementStyle = {};
    ig.global.MovementStyle.linear = function (time) {
        return time;
    };
    ig.global.MovementStyle.sin = function (time) {
        return Math.sin(Math.PI * time);
    };
});
